Skip to main content
GET /core/tokens assets use token contract addresses and decimal precision instead of the native ETH balance. Use the returned token address and decimals when constructing payment requirements and signed guarantees.

Responses

chain_id
number
required
tokens
array
required
tokens[].symbol
string
required
tokens[].address
string
required
tokens[].decimals
number
required
curl "https://base.sepolia.api.4mica.xyz/core/tokens"
{
  "chain_id": 84532,
  "tokens": [
    {
      "symbol": "USDC",
      "address": "0x3333333333333333333333333333333333333333",
      "decimals": 6
    }
  ]
}

Status codes

CodeDescription
200Supported tokens were returned.
500The operator could not load token configuration.
ETH uses the zero address in signed guarantee fields. See supported networks.